import type * as React from "react";
import {
  type CommonBadgeVariant,
  getCommonBadgeClasses,
} from "../../../../common/ui/badge";
import { cn } from "../../lib/utils";

export interface BadgeProps extends React.HTMLAttributes<HTMLDivElement> {
  variant?: CommonBadgeVariant;
}

function Badge({ className, variant, ...props }: BadgeProps) {
  return (
    <div
      className={cn(getCommonBadgeClasses({ variant }), className)}
      {...props}
    />
  );
}

export { Badge };
